@props(['product'])

<a href="{{ route('product.show', ['product' => $product]) }}">
    <div class="product-container">
            <img class="product-image" src="@if(isset($product->images[0])) {{ $product->images[0]->URL() }} @else {{ "" }} @endif">
            <div class="name-price-container">
                <h2 class="product-name"> {{ $product->name }} </h2>
                <h3>{{ ($product->price) }}<span class="price-currency">zł</span></h3>
            </div>
    </div>
</a>
